Package eu.mhsl.minenet.gameList.messageOld.type.title

# Class TitleMessage

java.lang.Object
eu.mhsl.minenet.gameList.messageOld.Message
eu.mhsl.minenet.gameList.messageOld.type.title.TitleMessage

All Implemented Interfaces:
  `Sendable`

public class TitleMessage extends Message

- ## Field Summary

  ### Fields inherited from class eu.mhsl.minenet.gameList.messageOld.Message

  `text`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TitleMessage(Duration stay)`
  `TitleMessage(Duration fade, Duration stay)`
  `TitleMessage(Duration fadeIn, Duration stay, Duration fadeOut)`
  `TitleMessage(net.kyori.adventure.title.Title.Times times)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `send(net.kyori.adventure.audience.Audience targets)`
  `TitleMessage`
  `subtitle(Consumer<SubtitleMessage> callback)`

  ### Methods inherited from class eu.mhsl.minenet.gameList.messageOld.Message

  `append, append, getComponent, pipe, quote, quote`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TitleMessage

    public TitleMessage(Duration fadeIn, Duration stay, Duration fadeOut)

  - ### TitleMessage

    public TitleMessage(Duration fade, Duration stay)

  - ### TitleMessage

    public TitleMessage(Duration stay)

  - ### TitleMessage

    public TitleMessage(net.kyori.adventure.title.Title.Times times)

- ## Method Details

  - ### subtitle

    public TitleMessage subtitle(Consumer<SubtitleMessage> callback)

  - ### send

    public void send(net.kyori.adventure.audience.Audience targets)